> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Global search matrices with full filtering support

> Search matrices with support for all filters including status, owner, groups, positions, users, dates, favorites, and more. Functionally identical to the listing API.



## OpenAPI

````yaml post /v1/matrix/global-search
openapi: 3.0.0
info:
  title: Matrix APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/matrix
  - url: https://staging.api.eu.aptlydone.com/matrix
  - url: https://api.us.aptlydone.com/matrix
  - url: https://api.eu.aptlydone.com/matrix
security: []
tags: []
paths:
  /v1/matrix/global-search:
    post:
      tags:
        - matrix
      summary: Global search matrices with full filtering support
      description: >-
        Search matrices with support for all filters including status, owner,
        groups, positions, users, dates, favorites, and more. Functionally
        identical to the listing API.
      operationId: MatrixController_getGlobalSearchMatrices_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MatricesListDto'
      responses:
        '200':
          description: Matrix list retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedMatrixResponseDtoResponse'
        '201':
          description: ''
      security:
        - accessToken: []
components:
  schemas:
    MatricesListDto:
      type: object
      properties:
        page:
          type: number
          minimum: 1
          description: Page number
          example: 1
        limit:
          type: number
          minimum: 1
          maximum: 100
          description: Number of items per page
          example: 10
        tenantId:
          type: string
          description: Tenant ID
          example: c084a3e6-9b4d-4d47-b6cc-7f3515f85a46
        matrixStatusName:
          description: Comma separated Matrix Status values for matrices list
          example: Active
          type: array
          items:
            type: string
        countStatusName:
          description: Comma separated Matrix Status values for count section
          example: Draft,Archived
          type: array
          items:
            type: string
        search:
          type: string
          description: Search string for matrix name, description, or matrix ID
          example: Investment
        isFavorite:
          type: boolean
          description: Is the Matrix a favorite
          example: true
        sortBy:
          type: string
          description: Criteria for sorting Decisions
          example: matrixName
        sortOrder:
          enum:
            - asc
            - desc
          type: string
          description: Order for sorting Decisions
          example: asc
        groupIds:
          description: Comma separated Group IDs
          example: >-
            2dff871a-296c-469c-85b6-c89768c1b21e,
            60ad6e06-bd98-4627-9af6-a292323e2852
          type: array
          items:
            type: string
        positionIds:
          description: Comma separated Position IDs
          example: >-
            6bdce3f9-a33c-4066-bd6a-56bb746ed01c,
            3e56eb2d-bb81-4b2f-816d-349ea78efd90
          type: array
          items:
            type: string
        sectionIds:
          description: Comma separated Section IDs
          example: >-
            d3d42bcb-04b7-4b89-83be-e1c7a77cb91a,
            a2128768-d7da-4bf4-8fcc-e56b4b8662e7
          type: array
          items:
            type: string
        categoryIds:
          description: Comma separated Category IDs
          example: >-
            750229fc-dd2e-43e7-b611-2a2ad14a5d01,
            d17cbcae-334f-424b-8c53-5004243b4058
          type: array
          items:
            type: string
        matrixSharingType:
          description: Comma separated Matrix Sharing Type values
          example: SHARED
          type: array
          items:
            type: object
        ownerId:
          description: Comma separated Owner User IDs
          example: >-
            19568d14-a7e3-4dbb-a6bd-6d73de03ac3d,
            496d5267-6b5c-4bc8-9f89-14f3f5cbc2a4
          type: array
          items:
            type: string
        userIds:
          description: Comma separated User IDs
          example: >-
            ffe779a4-9bb9-4c80-89f2-61e88891b37c,
            727dec5b-06b7-4ff5-8f5c-e7a1574f4302
          type: array
          items:
            type: string
        links:
          description: Comma separated Matrix Link
          example: null
          type: array
          items:
            type: string
        decisionsCount:
          description: Decisions count filter
          allOf:
            - $ref: '#/components/schemas/CountFilter'
        delegationsCount:
          description: Delegations count filter
          allOf:
            - $ref: '#/components/schemas/CountFilter'
        selectedMatrixIds:
          description: Comma separated Selected Matrix IDs
          example: >-
            7d05458c-30c2-44c9-9bdc-c14c36385b36,
            9352f86b-499d-4a2e-a048-8fd5cb98f7de
          type: array
          items:
            type: string
        createdAtStart:
          type: string
          description: Start date for creation date filtering (ISO format)
          example: '2025-01-01T00:00:00.000Z'
        createdAtEnd:
          type: string
          description: End date for creation date filtering (ISO format)
          example: '2025-12-31T23:59:59.999Z'
        updatedAtStart:
          type: string
          description: Start date for last update filtering (ISO format)
          example: '2025-01-01T00:00:00.000Z'
        updatedAtEnd:
          type: string
          description: End date for last update filtering (ISO format)
          example: '2025-12-31T23:59:59.999Z'
        select:
          type: string
          description: Comma separated fields to select in response
          example: id,matrixName,matrixDescription,matrixStatus
        selectedTab:
          type: string
          description: >-
            Selected tab to filter counts and listings (active, inactive,
            favorite, all)
          example: active
          enum:
            - active
            - inactive
            - favorite
            - all
      required:
        - tenantId
    PaginatedMatrixResponseDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          example: 200
        timestamp:
          type: string
          example: '2026-01-08T06:33:22.604Z'
        message:
          type: string
          example: Success
        data:
          type: object
          required:
            - page
            - limit
            - total
            - data
          properties:
            page:
              type: number
              example: 1
              minimum: 1
            limit:
              type: number
              example: 10
              minimum: 1
            total:
              type: number
              example: 10
              minimum: 0
            data:
              type: array
              items:
                $ref: '#/components/schemas/MatrixResponseDto'
      required:
        - statusCode
        - timestamp
        - message
    CountFilter:
      type: object
      properties:
        minValue:
          type: string
          description: >-
            Minimum value for the applied filter (if "Unlimited", maxValue will
            be ignored)
          example: '1'
        maxValue:
          type: string
          description: Maximum value for the applied filter (supports "Unlimited")
          example: Unlimited
      required:
        - minValue
        - maxValue
    MatrixResponseDto:
      type: object
      properties:
        id:
          type: string
          description: ID
          example: 151efa58-ddbb-4d4a-a99a-7c3be5736f61
        matrixId:
          type: string
          description: Matrix ID
          example: '10001'
        matrixName:
          type: string
          description: Matrix name
          example: Pagac - Kuvalis Approval Matrix
        matrixDescription:
          type: string
          description: Matrix description
          example: Vomica sursum pariatur carcer.
        link:
          type: string
          description: Matrix link
          example: /matrix/view/base64
        roleMatrix:
          type: boolean
          description: Whether this is a role matrix
          example: true
        authorityMatrix:
          type: boolean
          description: Whether this is an authority matrix
          example: true
        tenantId:
          type: string
          description: Tenant ID
          example: 49d7d738-c73c-4bcb-a413-1f986120855a
        ownerId:
          type: string
          description: Owner ID
          example: cbe8bfb3-8d18-4e46-8bc8-ff7b764c5cb3
        matrixSections:
          description: Matrix sections
          type: array
          items:
            $ref: '#/components/schemas/SectionDto'
        matrixCategories:
          description: Matrix categories
          type: array
          items:
            $ref: '#/components/schemas/CategoryDto'
        decisionCount:
          type: number
          description: Decision Count
          example: 5
        delegationCount:
          type: number
          description: Delegation Count
          example: 2
        suspendedDelegationsCount:
          type: number
          description: Suspended Delegations Count
          example: 2
        pendingDelegationsCount:
          type: number
          description: Pending Delegations Count
          example: 2
        copiedFromMatrix:
          type: string
          description: Copied From Matrix ID
          example: 7fee7df1-3258-4ea8-9cef-43677e080395
        ownerDetails:
          description: Owner details
          allOf:
            - $ref: '#/components/schemas/UserDto'
        createdOn:
          format: date-time
          type: string
          description: Creation timestamp
          example: '2026-01-07T20:16:28.638Z'
        updatedOn:
          format: date-time
          type: string
          description: Last update timestamp
          example: '2026-01-07T15:41:54.037Z'
        currentTab:
          type: string
          description: Current tab in create matrix flow
          example: Sharing
        isFavorite:
          type: boolean
          description: Whether the matrix is favorited by the current user
          example: true
        matrixStatus:
          description: Matrix status
          allOf:
            - $ref: '#/components/schemas/MatrixStatusDto'
        matrixSharing:
          description: Matrix sharing settings
          allOf:
            - $ref: '#/components/schemas/MatrixSharingDto'
        matrixAuthorityRoles:
          description: Authority roles
          type: array
          items:
            $ref: '#/components/schemas/MatrixAuthorityRoleDto'
        matrixGroups:
          description: Groups
          type: array
          items:
            $ref: '#/components/schemas/MatrixGroupDto'
        matrixPositions:
          description: Positions
          type: array
          items:
            $ref: '#/components/schemas/MatrixPositionDto'
        matrixUsers:
          description: Users
          type: array
          items:
            $ref: '#/components/schemas/MatrixUserDto'
        matrixDecisions:
          description: Decisions
          type: array
          items:
            $ref: '#/components/schemas/MatrixDecisionDto'
        matrixDelegation:
          nullable: true
          description: Delegation
          allOf:
            - $ref: '#/components/schemas/MatrixDelegationDto'
        matrixAuthorityFormatting:
          nullable: true
          description: Authority formatting
          allOf:
            - $ref: '#/components/schemas/MatrixAuthorityFormattingDto'
        permissions:
          description: permissions
          nullable: true
          type: array
          items:
            $ref: '#/components/schemas/PermissionDto'
        isUserSavedPersonalView:
          type: boolean
          description: Whether the user has saved a personal view for this matrix
          example: true
        matrixExternalSharing:
          description: Matrix external sharing settings
          allOf:
            - $ref: '#/components/schemas/MatrixExternalSharingResponseDto'
      required:
        - id
        - matrixId
        - matrixName
        - matrixDescription
        - link
        - roleMatrix
        - authorityMatrix
        - tenantId
        - ownerId
        - decisionCount
        - delegationCount
        - copiedFromMatrix
        - createdOn
        - updatedOn
        - matrixStatus
        - matrixSharing
        - matrixAuthorityRoles
        - matrixGroups
        - matrixPositions
        - matrixUsers
        - matrixDecisions
    SectionDto:
      type: object
      properties:
        sectionId:
          type: string
          description: Section ID
          example: 47a84333-47ab-4b24-aa3d-4706de8b371b
        name:
          type: string
          description: Section name
          example: Finance
      required:
        - sectionId
        - name
    CategoryDto:
      type: object
      properties:
        categoryId:
          type: string
          description: Category ID
          example: fcf3c54d-3adf-4bf9-974b-6d0b093099a2
        name:
          type: string
          description: Category name
          example: Approvals
      required:
        - categoryId
        - name
    UserDto:
      type: object
      properties:
        id:
          type: string
          description: User ID
          example: de3695df-aaf3-4a85-a02b-1a12655ee292
        email:
          type: string
          description: User email
          example: Rubye68@hotmail.com
        name:
          type: string
          description: User name (deprecated, use displayName)
          example: Elias Graham MD
        displayName:
          type: string
          description: User display name
          example: Helen Mohr IV
        firstName:
          type: string
          description: User first name
          example: Esperanza
        lastName:
          type: string
          description: User last name
          example: Murray
        mobilePhone:
          type: string
          description: User mobile phone
          example: 1-493-376-0816
        isActive:
          type: boolean
          description: Whether the user is active
          example: true
        profileImageUrl:
          type: string
          description: User profile image URL
          example: >-
            https://cdn.jsdelivr.net/gh/faker-js/assets-person-portrait/male/512/72.jpg
        positions:
          description: User positions
          type: array
          items:
            $ref: '#/components/schemas/UserPositionDto'
        primaryOrganization:
          description: Primary organization
          allOf:
            - $ref: '#/components/schemas/PrimaryOrganizationDto'
        positionIds:
          description: Position IDs associated with the user
          example:
            - a52c5b91-0fb2-492b-bddc-7ea49ee33324
          type: array
          items:
            type: string
        primaryOrganizationId:
          type: string
          description: Primary organization ID
          example: d64eb258-6f52-4fbc-bb25-d1550009a854
        manager:
          description: Manager details
          allOf:
            - $ref: '#/components/schemas/ManagerDetailsDto'
        roles:
          description: User roles
          type: array
          items:
            $ref: '#/components/schemas/RoleDetailsDto'
        groups:
          description: User groups
          type: array
          items:
            $ref: '#/components/schemas/UserGroupDto'
      required:
        - id
        - email
        - name
        - displayName
        - firstName
        - lastName
        - mobilePhone
        - isActive
        - profileImageUrl
        - positions
    MatrixStatusDto:
      type: object
      properties:
        id:
          type: string
          description: Status ID
          example: 8c2af516-88d6-4265-95d8-5bbd38b29fae
        statusName:
          type: string
          description: Status name
          example: Active
        isActive:
          type: boolean
          description: Whether the status is active
          example: true
      required:
        - id
        - statusName
        - isActive
    MatrixSharingDto:
      type: object
      properties:
        id:
          type: string
          description: Sharing ID
          example: 45ea7f06-0011-43f4-8551-55f54447f298
        type:
          type: string
          description: Sharing type
          enum:
            - RESTRICTED
            - SHARED
          example: SHARED
        sharingOption:
          type: string
          description: Sharing option type
          enum:
            - ALL_USERS
            - USERS_GROUPS
          example: USERS_GROUPS
        link:
          type: boolean
          description: Whether link sharing is enabled
          example: true
        viewerAdjustableFilters:
          type: boolean
          description: Whether viewer adjustable filters are enabled
          example: true
        externalSharing:
          type: boolean
          description: Whether external sharing is enabled
          example: false
        users:
          description: Shared users
          type: array
          items:
            $ref: '#/components/schemas/MatrixSharingUserMappingDto'
        groups:
          description: Shared groups
          type: array
          items:
            $ref: '#/components/schemas/MatrixSharingGroupMappingDto'
      required:
        - id
        - type
        - sharingOption
        - link
        - viewerAdjustableFilters
        - externalSharing
        - users
        - groups
    MatrixAuthorityRoleDto:
      type: object
      properties:
        id:
          type: string
          description: Authority role mapping ID
          example: 42743462-f0eb-48e6-94f7-9295ffbe0a98
        authorityRoleId:
          type: string
          description: Authority role ID
          example: 25a46c38-21dd-4b7f-a53b-e7a3fc7e8d93
        isEnabled:
          type: boolean
          description: Whether the role is enabled
          example: true
      required:
        - id
        - authorityRoleId
        - isEnabled
    MatrixGroupDto:
      type: object
      properties:
        id:
          type: string
          description: Group mapping ID
          example: c90be4ec-5306-4a00-a818-4b45193c1b9e
        tenantGroupsMappingId:
          type: string
          description: Tenant groups mapping ID
          example: 0504d5fc-7075-4cc2-a172-a60c4bbfe816
        groupDetails:
          description: Group details
          allOf:
            - $ref: '#/components/schemas/GroupDto'
      required:
        - id
        - tenantGroupsMappingId
    MatrixPositionDto:
      type: object
      properties:
        id:
          type: string
          description: Position mapping ID
          example: 37d09091-7f71-4572-9ed2-7a9f6330513d
        positionId:
          type: string
          description: Position ID
          example: 72e810ec-bbb6-4ac9-b703-6d7374d854e7
        positionDetails:
          description: Position details
          allOf:
            - $ref: '#/components/schemas/PositionDto'
      required:
        - id
        - positionId
    MatrixUserDto:
      type: object
      properties:
        id:
          type: string
          description: User mapping ID
          example: c51ea83f-8157-437a-b4f0-936db66726ba
        userId:
          type: string
          description: User ID
          example: 3746c737-9003-458d-9460-85d0ffa9e27d
        userDetails:
          description: User details
          allOf:
            - $ref: '#/components/schemas/UserDto'
      required:
        - id
        - userId
    MatrixDecisionDto:
      type: object
      properties:
        id:
          type: string
          description: Decision mapping ID
          example: fbe1d724-8eff-4d93-9b59-5e7cd66abeba
        decisionId:
          type: string
          description: Decision ID
          example: a7149654-b694-4f1c-9169-a817567d8641
        isDisabled:
          type: boolean
          description: Whether the decision is disabled
          example: false
        disabledOn:
          format: date-time
          type: string
          nullable: true
          description: When the decision was disabled
          example: null
      required:
        - id
        - decisionId
        - isDisabled
    MatrixDelegationDto:
      type: object
      properties:
        authorityTypeIds:
          description: Authority types
          example:
            - ef444051-af8a-4ce0-a2e8-4e0d0d588c0d
            - e50a087e-f0e5-499b-8314-35e5856712e8
          type: array
          items:
            type: string
            format: uuid
        delegationRole:
          type: boolean
          description: Delegation role flag
          example: true
        roleIds:
          description: Role Ids
          example:
            - 2a8bbebc-8e8c-40da-a55c-ac0f327bc3bb
            - 3cb123a4-6561-42ea-9560-7211f289ecf1
          type: array
          items:
            type: string
            format: uuid
        issuanceStatusNames:
          type: string
          description: Issuance status names
          example:
            - Accepted
            - Pending
        primaryLimitTypes:
          type: object
          description: Dynamic limit types with corresponding min, max
          example:
            Value (Currency):
              min: 1
              max: 2
            Time (Months):
              min: 1
              max: 2
            Time (Years):
              min: 1
              max: 2
            Authority: true
        delegationDataDetails:
          type: boolean
          description: Delegation data details flag
          example: true
        delegationDataGroups:
          type: boolean
          description: Delegation data groups flag
          example: true
        delegationDataDocuments:
          type: boolean
          description: Delegation data documents flag
          example: true
        delegationDataConditions:
          type: boolean
          description: Delegation data conditions flag
          example: true
        delegationDataAuthorities:
          type: boolean
          description: Delegation data authorities flag
          example: true
        delegationDataRoles:
          type: boolean
          description: Delegation data roles flag
          example: true
      required:
        - delegationRole
        - delegationDataDetails
        - delegationDataGroups
        - delegationDataDocuments
        - delegationDataConditions
        - delegationDataAuthorities
        - delegationDataRoles
    MatrixAuthorityFormattingDto:
      type: object
      properties:
        valueAbbrevations:
          type: string
          description: Value abbreviations
          example: Actual Values
        valueRounding:
          type: string
          description: Value rounding
          example: 0 decimals
        timeUnit:
          type: string
          description: Time unit
          example: Actual Values
        timeRounding:
          type: string
          description: Time rounding
          example: 0 decimals
        delegationIdentification:
          type: string
          description: Delegation identification
          example: Position Username
        displayCurrencyCode:
          type: string
          description: Display currency Code
          example: USD
      required:
        - valueAbbrevations
        - valueRounding
        - timeUnit
        - timeRounding
        - delegationIdentification
        - displayCurrencyCode
    PermissionDto:
      type: object
      properties:
        allowed:
          type: boolean
          description: 'permission allowed '
          nullable: false
        relationship_key:
          type: string
          description: relationship_key
          nullable: true
      required:
        - relationship_key
    MatrixExternalSharingResponseDto:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the external sharing record
        link:
          type: string
          description: Public external link for accessing the matrix
        isExpirationEnabled:
          type: boolean
          description: Flag indicating if expiration is enabled
        expirationDate:
          format: date-time
          type: string
          description: Expiration date for the link
          example: '2026-01-08T06:33:22.245Z'
        isPasswordRequired:
          type: boolean
          description: Whether a password is required to access the link
        password:
          type: string
          nullable: true
          minLength: 0
          maxLength: 20
          description: Password protecting the link (nullable)
        matrixSharingId:
          type: string
          description: Associated MatrixSharing ID
        matrixId:
          type: string
          description: Associated Matrix ID
        createdOn:
          format: date-time
          type: string
          description: Creation timestamp
          example: '2026-01-08T06:33:22.246Z'
        updatedOn:
          format: date-time
          type: string
          description: Last update timestamp
          example: '2026-01-08T06:33:22.246Z'
      required:
        - id
        - link
        - isExpirationEnabled
        - expirationDate
        - isPasswordRequired
        - matrixSharingId
        - matrixId
        - createdOn
        - updatedOn
    UserPositionDto:
      type: object
      properties:
        id:
          type: string
          description: Position ID
          example: 3ded4c3f-6d9e-4b53-970d-1bd37d66ffe7
        positionName:
          type: string
          description: Position name
          example: System Administrator
        autoProvisioned:
          type: boolean
          description: Whether the position is auto-provisioned
          example: true
      required:
        - id
        - positionName
        - autoProvisioned
    PrimaryOrganizationDto:
      type: object
      properties:
        groupName:
          type: string
          description: Group name (deprecated, use displayName)
          example: North America Region
        displayName:
          type: string
          description: Group display name
          example: North America Region
        tenantGroupTypeId:
          type: string
          description: Tenant group type ID
          example: 6d8cbc6e-7bb1-4b48-88bb-8180c325bcb2
        tenantGroupTypeName:
          type: string
          description: Tenant group type name
          example: Region
      required:
        - groupName
        - displayName
        - tenantGroupTypeId
        - tenantGroupTypeName
    ManagerDetailsDto:
      type: object
      properties:
        id:
          type: string
          description: Manager ID
          example: 88d95fc1-0c1f-4f15-8ec2-a8efcf97cf97
        name:
          type: string
          description: Manager name
          example: Leon Bogisich
        displayName:
          type: string
          description: Manager display name
          example: Pedro Toy DDS
        profileImageUrl:
          type: string
          description: Manager profile image URL
          example: >-
            https://cdn.jsdelivr.net/gh/faker-js/assets-person-portrait/female/512/53.jpg
      required:
        - id
        - name
        - displayName
    RoleDetailsDto:
      type: object
      properties:
        tenantRoleId:
          type: string
          description: Tenant role ID
          example: a3ec8adc-96fc-4885-b14e-f273a0c26554
        roleName:
          type: string
          description: Role name
          example: System Administrator
      required:
        - tenantRoleId
        - roleName
    UserGroupDto:
      type: object
      properties:
        groupId:
          type: string
          description: Group ID
          example: 159004f4-e8f9-49c0-b03c-552172d769b0
        groupTypeId:
          type: string
          description: Group type ID
          example: fb632b5b-8a45-43e0-95b2-f81a6017ed06
      required:
        - groupId
        - groupTypeId
    MatrixSharingUserMappingDto:
      type: object
      properties:
        id:
          type: string
          description: User mapping ID
          example: 8111bdb2-e098-4dae-af0f-146b35ce3cb8
        userId:
          type: string
          description: User ID
          example: bd61d3b1-1ef8-4a0f-8c14-8c62083b4c0e
        userDetails:
          description: User details
          allOf:
            - $ref: '#/components/schemas/UserDto'
      required:
        - id
        - userId
    MatrixSharingGroupMappingDto:
      type: object
      properties:
        id:
          type: string
          description: Group mapping ID
          example: ebf12383-9fbe-4b45-82db-f1f1a53065c8
        groupId:
          type: string
          description: Group ID
          example: 6d80952b-1dec-43e6-aeec-663e9d43bf0b
        groupDetails:
          description: Group details
          allOf:
            - $ref: '#/components/schemas/GroupDto'
      required:
        - id
        - groupId
    GroupDto:
      type: object
      properties:
        id:
          type: string
          description: Group ID
          example: 2edae481-425c-4b95-a95f-2356204c84b5
        groupName:
          type: string
          description: Group name (deprecated, use displayName)
          example: Finance Department
        displayName:
          type: string
          description: Group display name
          example: Finance Department
        legalName:
          type: string
          description: Group legal name
          example: Finance Department LLC
        tenantId:
          type: string
          description: Tenant ID
          example: 8c1a760b-2f94-4d63-983f-834bda0b9664
        groupTypeName:
          type: string
          description: Group type name
          example: Department
        groupTypeId:
          type: string
          description: Group type ID
          example: 0c543086-e010-430d-981c-f2d162434478
        status:
          type: string
          description: Status
          example: ACTIVE
        parentGroupIds:
          description: Parent group IDs
          example:
            - 624636ab-7f25-4e86-bfbc-7775a67fb60c
          type: array
          items:
            type: string
        isSynced:
          type: boolean
          description: Is synced
          example: false
      required:
        - id
        - groupName
        - displayName
        - legalName
        - tenantId
        - groupTypeName
        - groupTypeId
        - status
        - parentGroupIds
        - isSynced
    PositionDto:
      type: object
      properties:
        id:
          type: string
          description: Position ID
          example: 141c47ca-351b-4653-abfb-6d886c60dcdc
        tenantId:
          type: string
          description: Tenant ID
          example: 7f798579-7373-49cc-831a-6f8e0064c02b
        positionName:
          type: string
          description: Position name
          example: System Administrator
        isScimProvisioned:
          type: boolean
          description: Is SCIM Provisioned
          example: false
        status:
          type: string
          description: Position status
          example: ACTIVE
        groupIds:
          description: Group IDs
          example:
            - 8bcee726-cc45-4e45-9e3b-60ba3e32bd8e
            - 70e09536-afed-438a-aa40-e12e8a6abae4
          type: array
          items:
            type: string
      required:
        - id
        - tenantId
        - positionName
        - isScimProvisioned
        - status
        - groupIds
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````